<form nz-form [formGroup]="form" class="form" (submit)="submitReset()">
    <h1 style=" color:rgba(0, 14, 33, 0.639)" >Reset password</h1>
    <div style="text-align: left; margin-top: 10px;  color:rgba(0, 14, 33, 0.639)">* Code</div>
    <div>
      <input nz-input nzSize="large" formControlName="code" />
    </div>
    <div style="text-align: left; margin-top: 10px; color:rgba(0, 14, 33, 0.639)">* Password</div>
    <div>
      <input
        nz-input
        nzSize="large"
        formControlName="password"
        type="password"
      />
    </div>
    <div style="text-align: left; margin-top: 10px; color:rgba(0, 14, 33, 0.639)">
      * Confirm password
    </div>
    <div>
      <input
        nz-input
        nzSize="large"
        formControlName="password2"
        type="password"
      />
    </div>
    <div>
        <button
        nz-button
        nzType="primary"
        type="submit"
        class="register"
        style="margin-top: 10px"
      >
        Reset
      </button>
    </div>
  </form>